# Définition de fonction ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def f1(v):
	global portee
	portee = 'modifiée dans f1()'
	return v + portee


def f2(v):
	return v + portee


def f3(v):
	portee = 'locale à f3(), je masque la portée du module'
	return v + portee


# Programme principal ==========================================
x, portee = 'Je suis ', 'globale au module'
print(f1(x))	# 'Je suis modifiée dans f1()''
print(portee)	# 'modifiée dans f1()''

x, portee = 'Je suis ', 'globale au module'
print(f2(x))	# 'Je suis globale au module'
print(portee)	# 'globale au module'

x, portee = 'Je suis ', 'globale au module'
print(f3(x))	# 'Je suis locale à f3(), je masque la portée du module'
print(portee)	# 'globale au module'
